📈 Index Latest Trade Data API
Get the latest index trade data, including latest trade price, volume and other real-time trading information
🔗 API Information
| Item | Value |
|---|---|
| API Endpoint | https://api.dataapi.io/v1/indices/latest_trade |
| Request Method | GET |
| Data Format | JSON |
📋 Request Parameters
Required Parameters ✅
| Parameter | Type | Description | Example |
|---|---|---|---|
ticker | string | Index symbol | SPX, DJI, IXIC |
token | string | API access token | your_api_token |
📊 Response Parameters
Response Structure
| Field | Type | Description |
|---|---|---|
code | number | Response status code |
status | string | Response status |
message | string | Response message |
data | object | Trade data object |
Data Fields
| Field | Type | Description | Example |
|---|---|---|---|
ticker | string | Index symbol | SPX |
price | number | Latest trade price | 6388.65 |
volume | number | Trade volume | 8000000 |
time | number | Trade timestamp | 1753473726000 |
📈 Response Example
Success Response
{
"code": 200,
"status": "success",
"message": "ok",
"data": {
"ticker": "SPX",
"price": 6388.65,
"volume": 8000000,
"time": 1753473726000
}
}🚀 Quick Start
Request Example
curl -X GET "https://api.dataapi.io/v1/indices/latest_trade?ticker=SPX&token=your_token"